Summary:    SGPIO captive backplane tool
Name:       sgpio
Version:    1.2.0.10
Release:    3%{?dist}
License:    GPLv2+
URL:        http://sources.redhat.com/lvm2/wiki/DMRAID_Eventing
Source0:    sgpio-1.2-0.10-src.tar.gz
Patch3000:  sgpio-1.2-makefile.patch
Patch3001:  sgpio-1.2-coverity.patch
BuildRequires: make, gcc, dos2unix

%description
Intel SGPIO enclosure management utility

%prep
%setup -q -n sgpio
dos2unix --keepdate Makefile README
%autopatch -p1
chmod a-x *

%build
%make_build

%install
%make_install SBIN_DIR=%{buildroot}%{_sbindir} MANDIR=%{buildroot}%{_mandir}

%files
%doc README
%{_sbindir}/sgpio
%{_mandir}/man1/sgpio.*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0.10-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0.10-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 28 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.2.0.10-1
- initial building.
